import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import NvidiaLogoLight from './NvidiaLogoLight';
import NvidiaLogoDark from './NvidiaLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const NvidiaLogoSvg = forwardRef(function NvidiaLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(NvidiaLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(NvidiaLogoLight, Object.assign({}, props, { ref: ref })));
});
export default NvidiaLogoSvg;
